<template>
  <div class="w-full h-screen relative flex justify-center items-center p-6" style="background-image: url('/backgroundImg.png'); background-position: center; background-color: rgba(0, 0, 0, 0.5);">
    <div class="py-4 px-8 md:py-6 md:px-12 w-full md:w-[500px] ">
      <form @submit.prevent="form.post('/reset-password')" autocomplete="off">
        <div class="w-full mx-auto">
          <img :src="`/logo.png`" class="block mx-auto h-36" />
          <div class="mb-5"><br><br></div>
          <div class="space-y-5">
            <div>
              <label class="font-semibold text-base"  style="color: white; text-align: center; " for="email">Enter your email:</label>
              <input id="email" v-model="form.email" class="input w-full" placeholder="Enter email">
              <div v-if="form.errors.email" class="text-error">
                {{ form.errors.email }}
              </div>
            </div>
            <div>
              <label class="font-semibold text-base"  style="color: white; text-align: center; " for="email">Enter new password:</label>
              <input v-model="form.password" class="input w-full" type="password" placeholder="Enter new password">
              <div v-if="form.errors.password" class="text-error">
                {{ form.errors.password }}
              </div>
            </div>
            <div>
              <label class="font-semibold text-base"  style="color: white; text-align: center; " for="email">Confirm password:</label>
              <input v-model="form.password_confirmation" class="input w-full" type="password" placeholder="Confirm password">
              <div v-if="form.errors.password_confirmation" class="text-error">
                {{ form.errors.password_confirmation }}
              </div>
            </div>
          </div>
          <div class="mt-5 mb-2">
            <button role="submit" class="w-full btn bg-[#FFC20E]
            hover:from-orange-600 hover:to-red-700 flex justify-between items-center">
              <span style="color: black;">Reset password</span>
              <Icon icon="fa-solid fa-arrows-rotate" class="text-2xl"></Icon>
            </button>
          </div>
          <Link href="/login" class="text-base font-semibold text-orange-500">Return to login</Link>
        </div>
      </form>
    </div>
  </div>
</template>

<script setup>
import { useForm } from '@inertiajs/vue3';

const props = defineProps({
  token: String
})

const form = useForm({
  token: props.token ?? null,
  email: '',
  password: '',
  password_confirmation: ''
});
</script>
